
Redmine - Defect #8087

Upgrade to v-1.1.2 mirgation task raises warnings

2011-04-06 15:48 - James Byrne

Status: Closed Start date: 2011-04-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.1.2

Description

.  .  . Updated to revision 5352. # rake db:migrate RAILS_ENV=production (in /var/data/pas-redmine) config.gem: Unpacked gem

i18n-0.4.2 in vendor/gems has no specification file. Run 'rake gems:refresh_specs' to fix this. .  .  . ==  AddIndexToUsersType:

migrated (0.1762s) ===================================  # rake gems:refresh_specs (in /var/data/pas-redmine) rake

aborted! undefined method `installed_source_index' for #<Gem::SourceIndex:0xb7f29b3c>  (See full trace by running task with

--trace)

History

#1 - 2011-04-06 16:24 - Etienne Massip

What's the result with --trace ?

#2 - 2011-04-06 17:14 - James Byrne

# rake gems:refresh_specs --trace

(in /var/data/pas-redmine)

** Invoke gems:refresh_specs (first_time)

** Execute gems:refresh_specs

rake aborted!

undefined method `installed_source_index' for #<Gem::SourceIndex:0xb7ee8b28>

/usr/local/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/rails/gem_dependency.rb:226:in `refresh'

/usr/local/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/gems.rake:53

/usr/local/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/gems.rake:53:in `each'

/usr/local/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/gems.rake:53

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `execute'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `each'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `execute'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:597:in `invoke_with_call_chain'

/usr/local/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:583:in `invoke'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2051:in `invoke_task'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `each'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2023:in `top_level'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2001:in `run'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'

/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

/usr/local/bin/rake:19:in `load'

/usr/local/bin/rake:19

#3 - 2011-04-06 17:17 - James Byrne

BTW:  I get the same results with both gem-1.62 and gem-1.7.2

#4 - 2011-04-06 17:31 - Etienne Massip

Redmine 1.1.2 supports Rails 2.3.5 which does not support RubyGems >= 1.5 ; see RedmineInstall.

You should downgrade RubyGems.

#5 - 2011-04-06 17:34 - Etienne Massip
https://www.redmine.org/projects/redmine/wiki/RedmineInstall#Requirements


And you should give your gem list, see SubmittingBugs.

#6 - 2014-02-20 23:14 - Toshi MARUYAMA

- Status changed from New to Closed

Too old.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

https://www.redmine.org/projects/redmine/wiki/SubmittingBugs
http://www.tcpdf.org

